## org.jfree.chart.plot.dial
Class DialCap

    java.lang.Object
      org.jfree.chart.plot.dial.AbstractDialLayer
          org.jfree.chart.plot.dial.DialCap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DialLayer, org.jfree.util.PublicCloneable

    public class DialCap

extends AbstractDialLayer
implements DialLayer, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A regular dial layer that can be used to draw a cap over the center of the dial (the base of the dial pointer(s)).

Since:
  1.0.7
See Also:
  Serialized Form

Constructor Summary
`DialCap()` Creates a new instance of `StandardDialBackground`.

Method Summary
`java.lang.Object` `clone()` Returns a clone of this instance.
`void` `draw(java.awt.Graphics2D g2, DialPlot plot, java.awt.geom.Rectangle2D frame, java.awt.geom.Rectangle2D view)` Draws the background to the specified graphics device.
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`java.awt.Paint` `getFillPaint()` Returns the paint used to fill the cap.
`java.awt.Paint` `getOutlinePaint()` Returns the paint used to draw the outline of the cap.
`java.awt.Stroke` `getOutlineStroke()` Returns the stroke used to draw the outline of the cap.
`double` `getRadius()` Returns the radius of the cap, as a percentage of the dial's framing rectangle.
`int` `hashCode()` Returns a hash code for this instance.
`boolean` `isClippedToWindow()` Returns `true` to indicate that this layer should be clipped within the dial window.
`void` `setFillPaint(java.awt.Paint paint)` Sets the paint for the cap background and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setOutlinePaint(java.awt.Paint paint)` Sets the paint used to draw the outline of the cap and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setOutlineStroke(java.awt.Stroke stroke)` Sets the stroke used to draw the outline of the cap and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setRadius(double radius)` Sets the radius of the cap, as a percentage of the dial's framing rectangle, and sends a `DialLayerChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.chart.plot.dial.AbstractDialLayer
`addChangeListener, hasListener, isVisible, notifyListeners, removeChangeListener, setVisible`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.plot.dial.DialLayer
`addChangeListener, hasListener, isVisible, removeChangeListener`

Constructor Detail

### DialCap

    public DialCap()

  Creates a new instance of `StandardDialBackground`. The default background paint is `Color.white`.

Method Detail

### getRadius

    public double getRadius()

  Returns the radius of the cap, as a percentage of the dial's framing rectangle.

  Returns:
    The radius.
  See Also:
    `setRadius(double)`

### setRadius

    public void setRadius(double radius)

  Sets the radius of the cap, as a percentage of the dial's framing rectangle, and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `radius` - the radius (must be greater than zero).
  See Also:
    `getRadius()`

### getFillPaint

    public java.awt.Paint getFillPaint()

  Returns the paint used to fill the cap.

  Returns:
    The paint (never `null`).
  See Also:
    `setFillPaint(Paint)`

### setFillPaint

    public void setFillPaint(java.awt.Paint paint)

  Sets the paint for the cap background and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getFillPaint()`

### getOutlinePaint

    public java.awt.Paint getOutlinePaint()

  Returns the paint used to draw the outline of the cap.

  Returns:
    The paint (never `null`).
  See Also:
    `setOutlinePaint(Paint)`

### setOutlinePaint

    public void setOutlinePaint(java.awt.Paint paint)

  Sets the paint used to draw the outline of the cap and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getOutlinePaint()`

### getOutlineStroke

    public java.awt.Stroke getOutlineStroke()

  Returns the stroke used to draw the outline of the cap.

  Returns:
    The stroke (never `null`).
  See Also:
    `setOutlineStroke(Stroke)`

### setOutlineStroke

    public void setOutlineStroke(java.awt.Stroke stroke)

  Sets the stroke used to draw the outline of the cap and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `stroke` - the stroke (`null` not permitted).
  See Also:
    `getOutlineStroke()`

### isClippedToWindow

    public boolean isClippedToWindow()

  Returns `true` to indicate that this layer should be clipped within the dial window.

  Specified by:
    `isClippedToWindow` in interface `DialLayer`
  Returns:
    `true`.

### draw

    public void draw(java.awt.Graphics2D g2,
                     DialPlot plot,
                     java.awt.geom.Rectangle2D frame,
                     java.awt.geom.Rectangle2D view)

  Draws the background to the specified graphics device. If the dial frame specifies a window, the clipping region will already have been set to this window before this method is called.

  Specified by:
    `draw` in interface `DialLayer`
  Parameters:
    `g2` - the graphics device (`null` not permitted).
    `plot` - the plot (ignored here).
    `frame` - the dial frame (ignored here).
    `view` - the view rectangle (`null` not permitted).

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `AbstractDialLayer`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `AbstractDialLayer`
  Returns:
    The hash code.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this instance.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `AbstractDialLayer`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if some attribute of the cap cannot be cloned.